import Params from "./params";
export default {
    defaultValue:{      //默认配置
      mode: 0     //0为半结构化模式，1为纯文本模式（主诉现病史其他史只自由文本输入）
    },
    specialTag:{
      'NONE':'none',      //阳性标记
      'NOSPECIAL':'normal',        //无殊标记
      'EXIST':'exist'          //阴性标记
    },
    moduleCP:{
      '1':'mainSuit',         //主诉
      '2':'current',          //现病史
      '3':'process',          //病程变化
      '4':'otherHis',         //其他史
      // '5':'checkbody'        //查体
      '5':'currentEmpty',        //现病史空模板
      '6':'addSymptom'        //添加病情变化--主诉
    },
    textId:'text',        //自由文本标签的id,
    textLabel:'{"tagType":"8","id":"","name":""}',
    tagType:"8",
    tongYId:7,      //主诉通用特征描述id
    addSId:8,      //主诉添加症状id
    addOthSId:21,      //现病史 添加其他症状id
    banId:10,       //伴 id
    limited:30,    //主诉限制字数
    limitText:"已超过30字符，请修改主诉",    //主诉限制提示
    delayTime:500,      //延迟搜索的时间
    delayPushTime:1000,    //延迟推送时间
    pushDelay:1000,
    currentText:"患者XX因XX诊断为(**)，经XX治疗后，目前XX症状已缓解，仍有XX，各项指标情况：XX，辅助检查：XX。今来复诊，进一步治疗",
    timeUnit:{
      minute:"分",
      hour:"小时",
      day:"天",
      week:"周",
      month:"月",
      year:"年",
    },
    Params
};